Bug 117921 - xscreensaver kills xsession
xscreensaver kills xsession
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-03-09 20:01 EST by Scott Sloan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-10 02:58:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Sloan 2004-03-09 20:01:06 EST
Description of problem:

Just upgraded to the newest packages to hit the development release
20040309. With gnome and xscreensaver, whenever xscreensaver starts
due to inactivity, my gnome session is killed sending me to the log in
screen 

Version-Release number of selected component (if applicable):

xscreensaver-4.14-3
gnome-desktop-2.5.90-1.1

How reproducible:

Everytime

Steps to Reproduce:
1. upgrade to current development packages
2. log in as user
3. Let screensaver activate due to inactivity
  
Actual results:

automatic log off.

Expected results:

Should bring up the screensaver not kick me out

Additional info:
Comment 1 Scott Sloan 2004-03-09 20:17:55 EST
I found that this problem is directly related to GLX not loading on
xstart  Any application that requries GLX will cause the user to be
logged out and x will reset. 

XFree86-4.3.0-63

This bug only started to occur after updated to the latest development
packages. 
Comment 3 Mike A. Harris 2004-03-09 23:38:10 EST
I'd like to ask a few questions which will be helpful in determining
the cause of the problem.

- What OS release were you using prior to updating?
- What version-release of XFree86 were you using prior to updating?
- Are you using a Red Hat supplied kernel, or a custom built one?

Also, can you please attach the following files as uncompressed
file attachments:

- X server log
- X server config file
- /var/log/messages

The output of "lspci -vvn" and "lsmod" from while X is running
would also be useful.

Thanks in advance.
Comment 4 Scott Sloan 2004-03-10 02:57:48 EST
For some reason rebuilding the drivers fixed the problem. I forgot to
exclude kernel updates through yum and the glx module never got
rebuilt to the new kernel source. My bad, I should've thought of this
before posting. I owe you a beer.


Note You need to log in before you can comment on or make changes to this bug.